ChangeSet 1.1094.6.5, 2003/03/14 10:36:55-08:00, david-b@pacbell.net

[PATCH] USB ohci:  "registers" sysfs file

> This exhibits a build error when OHCI_VERBOSE_DEBUG is enabled:

Odd, I guess the build I tested was when that was enabled
without first enabling debugging.  The fix is trivial.


 drivers/usb/host/ohci-q.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/host/ohci-q.c b/drivers/usb/host/ohci-q.c
--- a/drivers/usb/host/ohci-q.c	Mon Mar 17 11:47:08 2003
+++ b/drivers/usb/host/ohci-q.c	Mon Mar 17 11:47:08 2003
@@ -650,7 +650,7 @@
 /* calculate transfer length/status and update the urb
  * PRECONDITION:  irqsafe (only for urb->status locking)
  */
-static void td_done (struct urb *urb, struct td *td)
+static void td_done (struct ohci_hcd *ohci, struct urb *urb, struct td *td)
 {
 	u32	tdINFO = le32_to_cpup (&td->hwINFO);
 	int	cc = 0;
@@ -908,7 +908,7 @@
 			*prev = td->hwNextTD | savebits;
 
 			/* HC may have partly processed this TD */
-			td_done (urb, td);
+			td_done (ohci, urb, td);
 			urb_priv->td_cnt++;
 
 			/* if URB is done, clean up */
@@ -991,7 +991,7 @@
 		struct ed	*ed = td->ed;
 
 		/* update URB's length and status from TD */
-   		td_done (urb, td);
+   		td_done (ohci, urb, td);
   		urb_priv->td_cnt++;
 
 		/* If all this urb's TDs are done, call complete() */
